%define major		8
%define libname		%mklibname cw %{major}
%define libnamedevel	%mklibname cw -d

Name:		unixcw
Version:	3.6.1
Release:	%mkrel 2
Summary:	Shared library for Morse programs
Group:		Communications/Radio
License:	GPLv2+
URL:		https://sourceforge.net/projects/unixcw
Source0:	https://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(ncurses)

%description
The UnixCW utilities add a general purpose CW library to your system, and
a small set of applications based around this library.  These applications
form a Morse code tutor suite, useful for Amateur and Marine radio operators.

%package -n	%libname
Summary:	Development files for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n	%libname
UnixCW libraries.

%package -n	%libnamedevel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%libnamedevel
UnixCW utility libraries.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

#Fix permissions for binary files
chmod 0755 %{buildroot}%{_bindir}/*
# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS README NEWS
%license COPYING
%{_bindir}/*
%{_mandir}/man?/*

%files -n %{libname}
%license COPYING
%{_libdir}/libcw.so.%{major}{,.*}

%files -n %{libnamedevel}
%{_libdir}/libcw.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.6.1-2.mga10
+ Revision: 2221651
- Mageia 10 Mass Rebuild

* Sat Mar 23 2024 daviddavid <daviddavid> 3.6.1-1.mga10
+ Revision: 2051456
- new version: 3.6.1

* Sun Apr 03 2022 umeabot <umeabot> 3.6.0-2.mga9
+ Revision: 1842360
- Mageia 9 Mass Rebuild

* Fri Mar 12 2021 daviddavid <daviddavid> 3.6.0-1.mga9
+ Revision: 1701654
- new version: 3.6.0

* Thu Dec 17 2020 umeabot <umeabot> 3.5.1-6.mga8
+ Revision: 1660124
- Rebuild for new Qt5
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 3.5.1-5.mga8
+ Revision: 1537894
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Nov 12 2019 daviddavid <daviddavid> 3.5.1-4.mga8
+ Revision: 1459371
- add patch to dlopen pulseaudio correctly

* Tue Apr 02 2019 umeabot <umeabot> 3.5.1-3.mga7
+ Revision: 1385189
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.5.1-2.mga7
+ Revision: 1301528
- Mageia 7 Mass Rebuild

* Tue Apr 24 2018 daviddavid <daviddavid> 3.5.1-1.mga7
+ Revision: 1222102
- new version: 3.5.1
- port to Qt5

* Wed Feb 03 2016 umeabot <umeabot> 3.3.1-4.mga6
+ Revision: 933121
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.3.1-3.mga5
+ Revision: 742996
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.1-2.mga5
+ Revision: 690053
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 sander85 <sander85> 3.3.1-1.mga5
+ Revision: 662744
- New version: 3.3.1

* Fri Oct 18 2013 umeabot <umeabot> 3.1.1-4.mga4
+ Revision: 519906
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.1.1-3.mga3
+ Revision: 385070
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 3.1.1-2.mga3
+ Revision: 302516
- update RPM group

* Thu Aug 16 2012 fedya <fedya> 3.1.1-1.mga3
+ Revision: 281634
- imported package unixcw

